Subject: Interplanetary Reference Body Transformations
From: Daniel Adamo <[email-masked]>
To: ATIG <[email-masked]>
Date: Sat, 01 Sep 2018 11:03:33 -0700

ATIG Members-

Math behind the subject Galilean transformations is deceptively simple.
Even in the context of a proven ephemeris ops concept, I've nevertheless
found the logic to implement such transformations (for the first time in
FORTRAN about 15 years ago; now in Swift) to be daunting.  Furthermore,
there's no comprehensive practical guidance on the topic in my astrodynamics
library or, from multiple searches I've recently conducted, on the Internet.

I've therefore taken the initiative to document a strategy with which to
transform a position/velocity state vector referenced to one body/barycenter
in the Solar System into another state vector expressed relative to any
other such body/barycenter.  This capability relies on an extensible
tree-like hierarchy of ephemerides as detailed in the attached PDF file.
Comments on this paper, including citation of relevant documentation to be
found elsewhere, are invited.

-Dan